# List lesson taxonomy terms

`GET https://api.cademi.com.br/api/v3/products/{product_id}/lessons/{lesson_id}/taxonomy-terms`

Operation ID: `lessons.taxonomy_terms.list` · API v3

Returns the taxonomy terms assigned to the lesson.

Only lessons in products with the `blog` format support taxonomies. For products in other formats, the API returns `format_unsupported` instead of an empty list.

Required permissions: `lessons.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `product_id` | path | string | yes |  |
| `lesson_id` | path | string | yes |  |

## Responses

### 200

Returns the taxonomy terms assigned to the lesson.

Body: `data`: LessonTaxonomyTerms.

Fields of LessonTaxonomyTerms:

| Field | Type | Required | Description |
|---|---|---|---|
| `lesson_id` | string | yes | Public ID, with the les_ prefix. |
| `object` | string, one of `lesson_taxonomy_terms` | yes |  |
| `terms` | array of object | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The lesson was not found in the product or is not accessible with the current credentials.

Body: Error.

### 409

The product format does not support taxonomies.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
